## josm 0.0.svn13576+dfsg

=== debian/changelog ===
josm (0.0.svn13576+dfsg-3) unstable; urgency=medium

  * Add patch to remove java-8 JREs from list of possible Java commands.
  * Update Vcs-* URLs for Salsa.
  * Drop override for vcs-deprecated-in-debian-infrastructure.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Apr 2018 20:33:05 +0200

josm (0.0.svn13576+dfsg-2) unstable; urgency=medium

  * Bump Java dependencies from 8 to 9.
    java9-runtime is required when built with java9-sdk.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 28 Mar 2018 07:21:38 +0200

josm (0.0.svn13576+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.
  * Disable OpenJFX, not available for OpenJDK 9.
  * Add lintian override for vcs-deprecated-in-debian-infrastructure,
  * Bump minimum required jmapviewer version to 2.7.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 27 Mar 2018 07:25:20 +0200

josm (0.0.svn13500+dfsg-2) unstable; urgency=medium

  * Explicitly build with OpenJDK 8, OpenJFX not available for OpenJDK 9.
    See: #893348

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Mar 2018 08:54:30 +0100

josm (0.0.svn13500+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 04 Mar 2018 19:02:35 +0100

josm (0.0.svn13478+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Update watch file to not use URL on Alioth (will be shutdown).
  * Bump minimum required jmapviewer version to 2.6.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Mar 2018 16:08:28 +0100

josm (0.0.svn13367+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Update license for translations from BSD-3-Clause to GPL-2+ (same as JOSM).
  * Bump Standards-Version to 4.1.3, no changes.
  * Update copyright-format URL to use HTTPS.
  * Add license & copyright for XZ Java sources.
  * Refresh patches.
  * Bump minimum required jmapviewer version to 2.5.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 29 Jan 2018 07:55:09 +0100

josm (0.0.svn13265+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Update copyright years for JSON sources.
  * Refresh patches.
  * Bump Standards-Version to 4.1.2, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 31 Dec 2017 20:46:08 +0100

josm (0.0.svn13170+dfsg-2) unstable; urgency=medium

  * Bump minimum required jmapviewer version to 2.4.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Nov 2017 08:29:53 +0100

josm (0.0.svn13170+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Update copyright holders for metadata-extractor sources.
  * Drop 'Update multipolygon' patch, included upstream.
    Refresh remaining patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Nov 2017 17:45:24 +0100

josm (0.0.svn13053+dfsg-2) unstable; urgency=medium

  * Add patch to fix 'Update multipolygon' action.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Nov 2017 20:04:04 +0100

josm (0.0.svn13053+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Remove BTS link from About > Info tab.
  * Refresh patches.
  * Strip trailing whitespace from control & changelog files.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 30 Oct 2017 16:44:52 +0100

josm (0.0.svn12921+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Oct 2017 23:30:24 +0200

josm (0.0.svn12914+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Change priority from extra to optional.
  * Bump Standards-Version to 4.1.1, changes: priority.
  * Update license & copyright for AlphanumComparator.java.
  * Drop bashisms.patch, applied upstream. Refresh remaining patches.
  * Add lintian overrides for copyright-year-in-future false positives.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Oct 2017 14:58:18 +0200

josm (0.0.svn12712+dfsg-2) unstable; urgency=medium

  * Add patch to fix bashism in josm launcher.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 Sep 2017 19:42:36 +0200

josm (0.0.svn12712+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 Sep 2017 11:23:11 +0200
