## josm 0.0.svn14178+dfsg

=== debian/changelog ===
josm (0.0.svn14178+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.
    See: #900912
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 22 Aug 2018 20:56:22 +0200

josm (0.0.svn14163+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Bump Standards-Version to 4.2.0, no changes.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Aug 2018 22:24:22 +0200

josm (0.0.svn14066+dfsg-2) unstable; urgency=medium

  * Drop autopkgtest to test installability.
    (closes: #905118)
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 19:27:00 +0200

josm (0.0.svn14066+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 30 Jul 2018 18:39:05 +0200

josm (0.0.svn14026+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Drop svn-r14000_fix-16462-NPE.patch, included upstream.
    Refresh remaining patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 09 Jul 2018 07:41:57 +0200

josm (0.0.svn13996+dfsg-3) unstable; urgency=medium

  * Bump Standards-Version to 4.1.5, no changes.
  * Add upstream patch to fix NPE.
    See: https://josm.openstreetmap.de/ticket/16474

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 08 Jul 2018 16:43:06 +0200

josm (0.0.svn13996+dfsg-2) unstable; urgency=medium

  * Drop remove_https_remote_control2.patch, ant fixed in Debian.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Jul 2018 18:06:10 +0200

josm (0.0.svn13996+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.
  * Add upstream patch to disable HTTPS support in remote control.
    ant (1.10.3-2) broke inclusion of sun.security classes.
    See: https://josm.openstreetmap.de/ticket/16451

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Jul 2018 07:11:36 +0200

josm (0.0.svn13878+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 31 May 2018 07:11:52 +0200

josm (0.0.svn13860+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.
  * Rename java-9 patch to no-java-8, because of openjdk-10.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 28 May 2018 07:42:50 +0200

josm (0.0.svn13710+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Bump Standards-Version to 4.1.4, no changes.
  * Refresh patches.
  * Update copyright years for Andrey Ponomarenko's ABI Laboratory.
  * Remove empty data/security directory.
  * Strip trailing whitespace from control & rules files.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 May 2018 08:11:37 +0200
