=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libsvgsalamander-java,
                libterm-readkey-perl
 #               openjfx
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/josm
 Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git
 Homepage: https://josm.openstreetmap.de
@@ -70,4 +70,3 @@
  from using them in creative, productive or unexpected ways.
  .
  This package contains the translation files for JOSM.
-
