=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	# Move translation causing build failure out of the way
 	mv i18n/po/ca@valencia.po .
 
-	dh_auto_build -- -Ddebian.version=${DEB_VERSION} -DnoJavaFX=true dist
+	dh_auto_build -- -v -d -Ddebian.version=${DEB_VERSION} -DnoJavaFX=true dist
 
 	mv ca@valencia.po i18n/po/
 
@@ -65,6 +65,7 @@
 	chmod a-x $(CURDIR)/debian/josm/usr/share/josm/data/defaultpresets.xml
 	# remove empty directory
 	[ -z "$(ls ${IMGSTYLES_DIR} 2> /dev/null)" ] && rm -rf ${IMGSTYLES_DIR}
+	rmdir --ignore-fail-on-non-empty $(CURDIR)/debian/josm/usr/share/josm/data/security/
 
 get-orig-source:
 	dh_testdir
@@ -114,4 +115,3 @@
 	@echo To update debian/changelog type
 	@echo dch -v ${VERSION}+dfsg-1
 	@echo .
-
