## josm 0.0.svn14760+dfsg

=== debian/changelog ===
josm (0.0.svn14760+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Feb 2019 08:19:54 +0100

josm (0.0.svn14760+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.
  * Add license & copyright for AppStream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 Feb 2019 07:06:28 +0100

josm (0.0.svn14620+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Jan 2019 08:11:55 +0100

josm (0.0.svn14620+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Bump Standards-Version to 4.3.0, no changes.
  * Refresh patches.
  * Add license & copyright for junit-toolbox sources.
  * Bump minimum required jmapviewer version to 2.9.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Jan 2019 10:36:34 +0100

josm (0.0.svn14460+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 Dec 2018 09:46:33 +0100

josm (0.0.svn14460+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Drop license & copyright for gnu/getopt sources, removed upstream.
  * Refresh patches.
  * Update filenames for desktop file, icons, etc.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 28 Nov 2018 08:01:38 +0100

josm (0.0.svn14382+dfsg-2) unstable; urgency=medium

  * Re-enable OpenJFX support, available for OpenJDK 11 again.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 03 Nov 2018 08:13:20 +0100

josm (0.0.svn14382+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 03 Nov 2018 07:55:43 +0100

josm (0.0.svn14382+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Use embedded svgsalamander for setImageDataInlineOnly symbol.
  * Add license & copyright for svgsalamander sources.
  * Refresh patches.
  * Remove obsolete jars from CLASSPATH.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 29 Oct 2018 10:42:53 +0100

josm (0.0.svn14289+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Oct 2018 08:41:44 +0200

josm (0.0.svn14289+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Bump Standards-Version to 4.2.1, no changes.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Oct 2018 07:20:09 +0200

josm (0.0.svn14178+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 28 Aug 2018 06:46:26 +0200

josm (0.0.svn14066+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 09 Aug 2018 18:20:43 +0200

josm (0.0.svn14026+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Jul 2018 06:58:08 +0200

josm (0.0.svn13996+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 Jul 2018 06:59:51 +0200

josm (0.0.svn13878+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Jun 2018 08:30:31 +0200

josm (0.0.svn13860+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 30 May 2018 07:07:29 +0200

josm (0.0.svn13710+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 09 May 2018 07:16:15 +0200

josm (0.0.svn13576+dfsg-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Revert java-9 changes, stretch has openjdk-8 as default-jdk.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 09 Apr 2018 07:26:54 +0200

josm (0.0.svn13500+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Mar 2018 07:38:45 +0100

josm (0.0.svn13367+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 03 Feb 2018 07:43:32 +0100

josm (0.0.svn13265+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Jan 2018 09:57:49 +0100

josm (0.0.svn13170+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Dec 2017 18:17:32 +0100

josm (0.0.svn13053+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Nov 2017 07:26:01 +0100

josm (0.0.svn12921+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 09 Oct 2017 07:37:17 +0200

josm (0.0.svn12712+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 15 Sep 2017 21:12:43 +0200

josm (0.0.svn12545+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 18 Aug 2017 07:18:08 +0200

josm (0.0.svn12542+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Aug 2017 10:34:29 +0200

josm (0.0.svn12450+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 08 Jul 2017 10:59:28 +0200

josm (0.0.svn12275+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Update branch in gbp.conf & Vcs-Git URL.


