=== debian/control ===
--- 
+++ 
@@ -6,37 +6,35 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 9~),
-               default-jdk (>= 2:1.9) | java9-sdk,
+               default-jdk (>= 2:1.8) | java8-sdk,
                ant,
                ant-contrib,
                gettext,
                groovy,
                javacc,
-               jmapviewer (>= 2.7),
+               jmapviewer (>= 2.9),
                libcommons-compress-java,
                libcommons-logging-java,
                libgettext-ant-tasks-java,
                libgettext-commons-java (>= 0.9.6),
                liboauth-signpost-java (>= 1.2),
-               libsvgsalamander-java,
-               libterm-readkey-perl
-#               openjfx
-Standards-Version: 4.2.0
+               libterm-readkey-perl,
+               openjfx
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/josm
-Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git -b stretch-backports
 Homepage: https://josm.openstreetmap.de
 
 Package: josm
 Architecture: all
-Depends: default-jre (>= 2:1.9) | java9-runtime,
+Depends: default-jre (>= 2:1.8) | java8-runtime,
          fonts-noto,
-         jmapviewer (>= 2.7),
+         jmapviewer (>= 2.9),
          libcommons-compress-java,
          libcommons-logging-java,
          libgettext-commons-java (>= 0.9.6),
          liboauth-signpost-java (>= 1.2),
-         libsvgsalamander-java,
-#         openjfx,
+         openjfx,
          proj-data,
          ${misc:Depends}
 Recommends: josm-l10n
