=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export JAVA_HOME=/usr/lib/jvm/default-java
-export CLASSPATH=/usr/share/java/gettext-commons.jar:/usr/share/java/metadata-extractor.jar:/usr/share/java/signpost-core.jar:/usr/share/java/jmapviewer.jar:/usr/share/java/json.jar
+export CLASSPATH=/usr/share/java/gettext-commons.jar:/usr/share/java/signpost-core.jar:/usr/share/java/jmapviewer.jar
 
 SVNREPO := https://josm.openstreetmap.de/svn/trunk
 SVNI18NREPO := https://svn.openstreetmap.org/applications/editors/josm/i18n/
@@ -31,7 +31,7 @@
 	# Move translation causing build failure out of the way
 	mv i18n/po/ca@valencia.po .
 
-	dh_auto_build -- -v -d -Ddebian.version=${DEB_VERSION} -DnoJavaFX=true dist
+	dh_auto_build -- -v -d -Ddebian.version=${DEB_VERSION} dist
 
 	mv ca@valencia.po i18n/po/
 
@@ -48,14 +48,14 @@
 
 	for size in 512x512 256x256 192x192 128x128 96x96 80x80 72x72 64x64 48x48 42x42 40x40 36x36 32x32 24x24 22x22 16x16 8x8; do \
 		install -o root -g root -d $(CURDIR)/debian/josm/usr/share/icons/hicolor/$${size}/apps ; \
-		install -o root -g root -m 644 $(CURDIR)/linux/tested/usr/share/icons/hicolor/$${size}/apps/josm.png $(CURDIR)/debian/josm/usr/share/icons/hicolor/$${size}/apps/josm.png ; \
+		install -o root -g root -m 644 $(CURDIR)/linux/tested/usr/share/icons/hicolor/$${size}/apps/org.openstreetmap.josm.png $(CURDIR)/debian/josm/usr/share/icons/hicolor/$${size}/apps/org.openstreetmap.josm.png ; \
 	done
 	install -o root -g root -d $(CURDIR)/debian/josm/usr/share/icons/hicolor/scalable/apps
-	install -o root -g root -m 644 $(CURDIR)/linux/tested/usr/share/icons/hicolor/scalable/apps/josm.svg $(CURDIR)/debian/josm/usr/share/icons/hicolor/scalable/apps/josm.svg
+	install -o root -g root -m 644 $(CURDIR)/linux/tested/usr/share/icons/hicolor/scalable/apps/org.openstreetmap.josm.svg $(CURDIR)/debian/josm/usr/share/icons/hicolor/scalable/apps/org.openstreetmap.josm.svg
 
-	install -m 644 $(CURDIR)/linux/tested/usr/share/pixmaps/josm.png $(CURDIR)/debian/josm/usr/share/pixmaps/josm.png
-	install -m 644 $(CURDIR)/linux/tested/usr/share/applications/josm.desktop $(CURDIR)/debian/josm/usr/share/applications/josm.desktop
-	install -m 644 $(CURDIR)/linux/tested/usr/share/metainfo/josm.appdata.xml $(CURDIR)/debian/josm/usr/share/metainfo/josm.appdata.xml
+	install -m 644 $(CURDIR)/linux/tested/usr/share/pixmaps/org.openstreetmap.josm.png $(CURDIR)/debian/josm/usr/share/pixmaps/org.openstreetmap.josm.png
+	install -m 644 $(CURDIR)/linux/tested/usr/share/applications/org.openstreetmap.josm.desktop $(CURDIR)/debian/josm/usr/share/applications/org.openstreetmap.josm.desktop
+	install -m 644 $(CURDIR)/linux/tested/usr/share/metainfo/org.openstreetmap.josm.appdata.xml $(CURDIR)/debian/josm/usr/share/metainfo/org.openstreetmap.josm.appdata.xml
 
 override_dh_install:
 	dh_install
@@ -73,7 +73,7 @@
 	@echo Downloading josm from ${SVNREPO}
 	svn export -r ${SVNREV} ${SVNREPO} ${DESTDIR}
 	@echo Removing duplicated code
-	rm -rf ${DESTDIR}/src/com/google ${DESTDIR}/src/com/kitfox ${DESTDIR}/src/oauth ${DESTDIR}/src/org/apache/commons/compress ${DESTDIR}/src/org/apache/commons/logging
+	rm -rf ${DESTDIR}/src/com/google ${DESTDIR}/src/oauth ${DESTDIR}/src/org/apache/commons/compress ${DESTDIR}/src/org/apache/commons/logging
 	@echo Fetching revision metadata
 	svn info --xml -r ${SVNREV} ${SVNREPO} > ${DESTDIR}/REVISION
 	@echo Fetching internalization data
