## josm 0.0.svn15238+dfsg

=== debian/changelog ===
josm (0.0.svn15238+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 15 Jul 2019 14:19:22 +0200

josm (0.0.svn15238+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.
  * Bump Standards-Version to 4.4.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Jul 2019 06:20:10 +0200

josm (0.0.svn15237+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.
  * Bump minimum required jmapviewer version to 2.11.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 09 Jul 2019 06:33:13 +0200

josm (0.0.svn15234+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Update copyright years for Drew Noakes and contributors.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Jul 2019 06:10:42 +0200

josm (0.0.svn15155+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.
  * Update gbp.conf to use --source-only-changes by default.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 07:13:38 +0200

josm (0.0.svn15155+dfsg-1~exp1) experimental; urgency=medium

  * New hotfix tested snapshot.
  * Add version constraint for josm-l10n dependency.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 Jun 2019 05:51:55 +0200

josm (0.0.svn15150+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Update dh_install override to use --list-missing.
  * Bump minimum required jmapviewer version to 2.10.
  * Refresh patches.
  * Drop obsolete groovy build dependency.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 02 Jun 2019 07:13:19 +0200

josm (0.0.svn15031+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 30 Apr 2019 06:24:36 +0200

josm (0.0.svn14945+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Remove package name from lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Apr 2019 07:27:24 +0200

josm (0.0.svn14824+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 Mar 2019 08:20:30 +0100
