=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 9~),
-               default-jdk (>= 2:1.8) | java8-sdk,
+               default-jdk (>= 2:1.9) | java9-sdk,
                ant,
                ant-contrib,
                gettext,
-               groovy,
                javacc,
-               jmapviewer (>= 2.9),
+               jmapviewer (>= 2.11),
                libcommons-compress-java,
                libcommons-logging-java,
                libgettext-ant-tasks-java,
@@ -20,16 +19,16 @@
                liboauth-signpost-java (>= 1.2),
                libterm-readkey-perl,
                openjfx
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/josm
-Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git -b stretch-backports
+Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git -b buster-backports
 Homepage: https://josm.openstreetmap.de
 
 Package: josm
 Architecture: all
-Depends: default-jre (>= 2:1.8) | java8-runtime,
+Depends: default-jre (>= 2:1.9) | java9-runtime,
          fonts-noto,
-         jmapviewer (>= 2.9),
+         jmapviewer (>= 2.11),
          libcommons-compress-java,
          libcommons-logging-java,
          libgettext-commons-java (>= 0.9.6),
@@ -37,7 +36,7 @@
          openjfx,
          proj-data,
          ${misc:Depends}
-Recommends: josm-l10n
+Recommends: josm-l10n (= ${source:Version})
 Conflicts: josm-plugins
 Description: Editor for OpenStreetMap
  JOSM is an editor for OpenStreetMap (OSM) written in Java.
