## josm 0.0.svn15322+dfsg

=== debian/changelog ===
josm (0.0.svn15322+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Aug 2019 14:34:07 +0200
