=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                openjfx
 Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/josm
-Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git -b buster-backports
+Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git
 Homepage: https://josm.openstreetmap.de
 
 Package: josm
