=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,7 @@
 	install -m 644 $(CURDIR)/linux/tested/usr/share/metainfo/org.openstreetmap.josm.appdata.xml $(CURDIR)/debian/josm/usr/share/metainfo/org.openstreetmap.josm.appdata.xml
 
 override_dh_install:
-	dh_install
+	dh_install --list-missing
 	# remove *.lang files, since we ship them in josm-l10n
 	rm -rf $(CURDIR)/debian/josm/usr/share/josm/data/*.lang
 	# remove executable bit
