## josm 0.0.svn15806+dfsg

=== debian/changelog ===
josm (0.0.svn15806+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Bump Standards-Version to 4.5.0, no changes.
  * Refresh patches.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Feb 2020 20:05:54 +0100

josm (0.0.svn15628+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 03 Jan 2020 08:01:19 +0100

josm (0.0.svn15625+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Drop Name field from upstream metadata.
  * Use `mv -v` in get-orig-source target.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Dec 2019 17:20:07 +0100

josm (0.0.svn15553+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Dec 2019 10:59:38 +0100

josm (0.0.svn15492+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Bump Standards-Version to 4.4.1, no changes.
  * Refresh patches.
  * Bump minimum required jmapviewer version to 2.12.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Nov 2019 07:24:50 +0100

josm (0.0.svn15390+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 30 Sep 2019 16:59:30 +0200
