=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                ant-contrib,
                gettext,
                javacc,
-               jmapviewer (>= 2.11),
+               jmapviewer (>= 2.12),
                libcommons-compress-java,
                libcommons-logging-java,
                libgettext-ant-tasks-java,
@@ -19,7 +19,7 @@
                liboauth-signpost-java (>= 1.2),
                libterm-readkey-perl,
                openjfx
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/josm
 Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git
 Homepage: https://josm.openstreetmap.de
@@ -28,7 +28,7 @@
 Architecture: all
 Depends: default-jre (>= 2:1.9) | java9-runtime,
          fonts-noto,
-         jmapviewer (>= 2.11),
+         jmapviewer (>= 2.12),
          libcommons-compress-java,
          libcommons-logging-java,
          libgettext-commons-java (>= 0.9.6),
