=== debian/rules ===
--- 
+++ 
@@ -108,7 +108,7 @@
 	@echo Cleaning up
 	rm -rf ${DESTDIR}
 	@echo Moving tarball to parent directory
-	mv ${DESTTGZ} ../
+	mv -v ${DESTTGZ} ../
 	@echo Removing tarballs directory
 	rmdir ../tarballs
 	@echo .
