## josm 0.0.svn15937+dfsg

=== debian/changelog ===
josm (0.0.svn15937+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 26 Feb 2020 16:06:14 +0100

josm (0.0.svn15927+dfsg-2) unstable; urgency=medium

  * Add patch to fix launcher.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 26 Feb 2020 06:33:21 +0100

josm (0.0.svn15927+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Feb 2020 06:08:21 +0100

josm (0.0.svn15915+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.
  * Install MIME info.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Feb 2020 06:09:59 +0100

josm (0.0.svn15806+dfsg-2) unstable; urgency=medium

  * Bump minimum required jmapviewer version to 2.13.
  * Add upstream patches for jmapviewer 2.13 support.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 17 Feb 2020 09:37:23 +0100
