=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                ant-contrib,
                gettext,
                javacc,
-               jmapviewer (>= 2.12),
+               jmapviewer (>= 2.13),
                libcommons-compress-java,
                libcommons-logging-java,
                libgettext-ant-tasks-java,
@@ -28,7 +28,7 @@
 Architecture: all
 Depends: default-jre (>= 2:1.9) | java9-runtime,
          fonts-noto,
-         jmapviewer (>= 2.12),
+         jmapviewer (>= 2.13),
          libcommons-compress-java,
          libcommons-logging-java,
          libgettext-commons-java (>= 0.9.6),
