=== debian/watch ===
version=3
opts=dversionmangle=s/0\.0\.svn([\d]+)\+dfsg.*/$1/ \
https://josm.openstreetmap.de/wiki/DevelopersGuide/Schedule \
.*/changeset/(\d+)/josm
