## josm 0.0.svn16812+dfsg

=== debian/changelog ===
josm (0.0.svn16812+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Aug 2020 07:49:10 +0200

josm (0.0.svn16812+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Extract tag2link sources from josm source JAR.
  * Use josm-snapshot-${SVNREV}-sources.jar instead of josm-tested-sources.jar.
  * Update copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 31 Jul 2020 22:23:43 +0200

josm (0.0.svn16731+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 03 Jul 2020 07:03:24 +0200

josm (0.0.svn16538+dfsg-3) unstable; urgency=medium

  * Also include properties for org.glassfish.
  * Use josm-tested-sources.jar instead of /tmp/josm-latest-sources.jar.
  * Add service providers for org.apache.commons.jcs3.log.LogFactory.
    (closes: #962060)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 03 Jun 2020 21:26:30 +0200

josm (0.0.svn16538+dfsg-2) unstable; urgency=medium

  * Add patch for missing tag2link sources.
  * Don't exclude entire jcs3/log subdirectory.
  * Drop commons-logging, no longer required.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Jun 2020 20:46:39 +0200

josm (0.0.svn16538+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Update xmlcore from 6.0.6 to 6.1.10.
  * Re-enable OpenJFX support.
  * Bump minimum required jmapviewer version to 2.14.
  * Refresh patches.
  * Update copyright file for jcs3 sources.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Jun 2020 15:47:11 +0200

josm (0.0.svn16239+dfsg-2) unstable; urgency=medium

  * Add missing OpeningHoursParser resources.
    (closes: #956574)
  * Disable OpenJFX support, uninstallable in unstable, see: #956585.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 13 Apr 2020 18:27:01 +0200

josm (0.0.svn16239+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Apr 2020 10:39:37 +0200

josm (0.0.svn16239+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Update get-orig-source target to use source JAR for removed sources.
  * Update copyright file, changes:
    - Update paths for source tree restructuring
    - Replace opening_hours.js with Java implementation
  * Refresh patches.
  * Update paths for moved files.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Apr 2020 07:54:06 +0200
