=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 10~),
                default-jdk (>= 2:1.9) | java9-sdk,
                ant,
                ant-contrib,
                gettext,
                javacc,
-               jmapviewer (>= 2.13),
+               jmapviewer (>= 2.14),
                libcommons-compress-java,
-               libcommons-logging-java,
                libgettext-ant-tasks-java,
                libgettext-commons-java (>= 0.9.6),
                liboauth-signpost-java (>= 1.2),
@@ -28,9 +27,8 @@
 Architecture: all
 Depends: default-jre (>= 2:1.9) | java9-runtime,
          fonts-noto,
-         jmapviewer (>= 2.13),
+         jmapviewer (>= 2.14),
          libcommons-compress-java,
-         libcommons-logging-java,
          libgettext-commons-java (>= 0.9.6),
          liboauth-signpost-java (>= 1.2),
          openjfx,
